%define api_version 3.0
%define pkg_name geronimo-servlet_%{api_version}_spec
Name:          geronimo-servlet-3_0-api
Version:       1.0
Release:       %mkrel 4
Summary:       Servlet 3.0 API
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-servlet_3.0-api-1.0-use_parent_pom.patch
BuildRequires: apache-rat-plugin
BuildRequires: geronimo-parent-poms
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Servlet 3.0 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo - Servlet 3.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
 


%changelog
* Thu Dec 19 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 558840
- Build with xmvn

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 351470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 343190
- Build with maven3

* Sat Sep 03 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 138172
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-servlet-3_0-api


* Fri Jun 10 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm